Skip to main content
POST
/
agent
/
version
/
deploy
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4",
    "version": "1.0.0"
}

response = client.agents.deploy_version(**payload)
print(response)
{
  "status": "success",
  "message": "Agent version deployed successfully",
  "details": {
    "version_id": "1.0.0",
    "agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4"
  }
}

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Deploy agent version.

Agent Version Deploy Request schema.

agent_id
string
required

Agent ID

Example:

"04cf74f7-019b-4c3d-883c-610a42b32bc4"

version
string
required

Version label to deploy

Example:

"1.0.0"

Response

Version deployed

A generic response schema for successful API calls.

status
string

Indicates if the request was successful.

Example:

"success"

message
string

A descriptive message about the result of the request.

Example:

"Request completed successfully"

data
object

The payload of the response, if any.